{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    fenix = {
      url = "github:nix-community/fenix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, fenix, nixpkgs }:
  let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
    rust-toolchain =  fenix.packages.${system}.stable.toolchain;
  in {
    devShell.${system} = with pkgs; mkShell {
      nativeBuildInputs = [
        rust-toolchain
        cargo-generate
        diesel-cli

        just
        lazysql
      ];
    };
  };
}
